<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
HashDatabaseConfig..::.ExternalFileDir Field
HashDatabaseConfig Class See Also Send Feedback

The path of the directory where external files are stored.

If the database is opened within DatabaseEnvironment, this path setting is ignored during Open(String, HashDatabaseConfig). Use ExternalFileDir to identify the current storage location of external files after opening the database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#

    public string ExternalFileDir

Visual Basic (Declaration)

    Public ExternalFileDir As String

Visual C++

    public:
    String^ ExternalFileDir

# See Also

HashDatabaseConfig Class
BerkeleyDB Namespace